//
//  OnlinePaymentButtonCell.swift
//  kt
//
//  Created by Assylkhan Rakhatov on 19.05.16.
//  Copyright © 2016 Alexandr Zalutskiy. All rights reserved.
//

import Foundation
import UIKit

class OnlinePaymentButtonCell : UITableViewCell {
  @IBOutlet weak var button: NextButton!
  var pay_touchUpInside: (() -> Void)?
  
  override func awakeFromNib() {
    super.awakeFromNib()
    button.backgroundColor = Color.DashboardBlueColor
    localizeSubviews()
  }
  
  private func localizeSubviews() {
    button.setTitle(LS("online_payment.go_to_payment"), forState: .Normal)
  }
  
  @IBAction func button_touchUpInside(sender: UIButton) {
    pay_touchUpInside?()
  }
  
}
